//
//  UIColor+Flat.h
//

/*!
 * Category of flat colors. Uses a lazily allocated dictionary for each color, which is only instantiacized once.
 */
@interface UIColor (Flat)

/*!
 * Turquoise color: #1abc9c
 */
+ (UIColor *)turquoiseColor;

/*!
 * Green sea color: #16a085
 */
+ (UIColor *)greenSeaColor;

/*!
 * Emerald color: #2ecc71
 */
+ (UIColor *)emeraldColor;

/*!
 * Nephritis color: #27ae60
 */
+ (UIColor *)nephritisColor;

/*!
 * Peter River color: #3498db
 */
+ (UIColor *)peterRiverColor;

/*!
 * Belize Hole color: #2980b9
 */
+ (UIColor *)belizeHoleColor;

/*!
 * Amethyst color: #9b59b6
 */
+ (UIColor *)amethystColor;

/*!
 * Wisteria color: #8e44ad
 */
+ (UIColor *)wisteriaColor;

/*!
 * Wet Asphalt color: #34495e
 */
+ (UIColor *)wetAsphaltColor;

/*!
 * Midnight Blue color: #2c3e50
 */
+ (UIColor *)midnightBlueColor;

/*!
 * Sun Flower color: #f1c40f
 */
+ (UIColor *)sunFlowerColor;

/*!
 * Carrot color: #e67e22
 */
+ (UIColor *)carrotColor;

/*!
 * Orange Fruit color: #f39c12
 */
+ (UIColor *)orangeFruitColor;

/*!
 * Pumpkin color: #d35400
 */
+ (UIColor *)pumpkinColor;

/*!
 * Alizarin color: #e74c3c
 */
+ (UIColor *)alizarinColor;

/*!
 * Pomegranate color: #c0392b
 */
+ (UIColor *)pomegranateColor;

/*!
 * Clouds color: #ecf0f1
 */
+ (UIColor *)cloudsColor;

/*!
 * Silver color: #bdc3c7
 */
+ (UIColor *)silverColor;

/*!
 * Concrete color: #95a5a6
 */
+ (UIColor *)concreteColor;

/*!
 * Asbestos color: #7f8c8d
 */
+ (UIColor *)asbestosColor;
@end
